/**
*.Name         ms_seth
*.Title        Установка драйвера событий
*
*.Descr        Эта функция выполняет установку драйвера событий.
*
*.Proto        void ms_seth(int mask, void (far *hand)())
*
*.Params       int mask - маска событий;
*              void (far *hand)() - адрес драйвера событий
*
*.Return       Ничего
*
*.Sample       ms_samp8.c
**/

#include <dos.h>
#include <conio.h>

union REGS reg;
struct SREGS segregs;

void ms_seth(int mask, void (far *hand)()) {

	reg.x.ax = 0x14;
	reg.x.cx = mask;
	reg.x.dx = FP_OFF(hand);
	segregs.es = FP_SEG(hand);

	int86x(0x33,&reg,&reg,&segregs);

}

